package com.thepattybeastlabs.ld35.actionmode;

import com.thepattybeastlabs.core.Graphics;
import com.thepattybeastlabs.core.audio.AudioEngine;
import com.thepattybeastlabs.core.input.Input;
import com.thepattybeastlabs.ld35.Level;

public interface ActionMode {

	public String getName();
	public boolean canActivate(float x, float y, float selX, float selY, Level level);
	public boolean onActivated(float x, float y, float selX, float selY,Level level);
}
